################################################################################
Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		flac
Version:	1.2.1
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://flac.sourceforge.net
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	FLAC is an audio CODEC similar to MP3, but lossless, meaning that audio is compressed without losing any information.
Requires:	gtk+ libglib xmms libogg zlib libstdc++
Provides:	libFLAC.so.7 libFLAC.so.6
BuildRequires:	gtk+-devel 
BuildRequires:  libglib-devel 
BuildRequires:  xmms-devel 
BuildRequires:  libogg-devel 
BuildRequires:  zlib-devel 
BuildRequires:  libstdc++-devel 
BuildRequires:  nasm 
BuildRequires:  gawk 
BuildRequires:  pkgconfig 
BuildRequires:  doxygen
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  glibc-devel

%description
FLAC is an audio CODEC similar to MP3, but lossless, meaning that audio is compressed without losing any information.

%package doc
Summary: 	%{name} documents.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package xmms-input-plugin
Summary: 	%{name}-xmms-plugin.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description xmms-input-plugin
flac-xmms-input-plugin is a input library for xmms.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--enable-shared \
				--enable-ogg \
				--enable-sse \
				--enable-3dnow \
				--disable-debug \
				--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%exclude %_datadir/doc
%exclude %_includedir
%exclude %_libdir/xmms
%exclude %_libdir/*.a
%exclude %_libdir/*.la
/*

%files doc
%defattr(-,root,root)
%_datadir/doc

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la

%files xmms-input-plugin
%defattr(-,root,root)
%_libdir/xmms

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-2
- removed fake provides
* Sat Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Mon Jun 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.2-4
- adding xmms-plugin-patch, fixed BUG #0000086
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.2-3
- seperating docs and xmms-input-plugin
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.2-2
- Removed compatibility links, moved static files to devel package
* Thu Jun 16 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.1.2-1
- Update to 1.1.2
* Tue Jun 15 2004 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Initial Release
